// OWNER : Ibrahim albitar
// DATE : 19-04-2020
// DESCRIPTION : Extension for all classes objects.

extension Extension on Object {
  bool isNullOrEmpty() => this == null || this == '';

  bool isNullEmptyOrFalse() => this == null || this == '' || !this;

  bool isNullEmptyZeroOrFalse() =>
      this == null || this == '' || !this || this == 0;
}
